//	StarsGlobalData.h - Our global data.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2014  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef STARSGLOBALDATA_H_
#define STARSGLOBALDATA_H_

#include "GlobalData.h"

///	Our global data.
class StarsGlobalData : public GlobalData
{
  public:
	///	Constructor.
	StarsGlobalData():
	holdMode(false),
	expoMode(false),
	noSpecials(false)
	{

	};

	///	Sets hold mode.
	void setHoldMode(bool val)
	{
		holdMode = val;
	};
	///	Returns hold mode.
	bool getHoldMode() const {return holdMode;};

	///	Sets expo mode.
	void setExpoMode(bool val)
	{
		expoMode = val;
	};
	///	Returns expo mode.
	bool getExpoMode() const {return expoMode;};

	///	Sets no specials.
	void setNoSpecials(bool val)
	{
		noSpecials = val;
	};
	///	Returns hold mode.
	bool getNoSpecials() const {return noSpecials;};
  private:
	///	Whether we're in hold mode or not.
	bool holdMode;
	///	Whether we're in expo mode or not.
	bool expoMode;
	///	Whether we allow special options or not.
	bool noSpecials;
};

#endif
